{% extends "Docentes/Intranet/index_intranet_curso.html" %}
{% load i18n admin_static admin_list %}

{% block extrastyle1 %}
    <style type="text/css">
        .reduce-col-number {
            width: 10px;
        }

        .reduce-col-photo {
            width: 65px;
        }
    </style>
    <script type="text/javascript" src="{% static 'custom/js/Notas/ventana_popup.js' %}"></script>
    <script type="text/javascript" src="{% static 'custom/bootstrap/js/bootstrap.min.js' %}"></script>
{% endblock %}

{% block content-main %}
    <div class="row-fluid">
        <div class="well well2">
            <h3>{% trans 'Material del Curso' %}</h3>
            <!-- TOOLBAR -->
            <div class="btn-toolbar" style="margin-bottom: 19px">
                <div class="btn-group pull-right" style="margin-bottom:10px;">
                    <a class="btn btn-info" onclick="return abrir_popup('../agregar/{{ periodocurso.id }}/');"
                       href="../agregar/{{ periodocurso.id }}/"><i
                            class="icon-plus icon-white"></i>{% trans 'Agregar Material' %}</a>
                </div>
            </div>
            <p></p>
            {% if results %}
                <table class="table table-striped table-bordered table-condensed">
                    <thead>
                    <tr>
                        <th rowspan="2" style="text-align:center;vertical-align: middle;">{% trans '#' %}</th>
                        <th rowspan="2" style="text-align:center;vertical-align: middle;">{% trans 'Nombre' %}</th>
                        <th rowspan="2" style="text-align:center;vertical-align: middle;">{% trans 'Descripción' %}</th>
                        <th rowspan="2" style="text-align:center;vertical-align: middle;">{% trans 'Fecha creación' %}</th>
                        <th rowspan="2" style="text-align:center;vertical-align: middle;">{% trans 'Ultima modific.' %}</th>
                        <th colspan="4" style="text-align:center;">{% trans 'Acciones' %}</th>
                    </tr>
                    <tr>
                        <th style="text-align:center;">{% trans '¿Es silabo?' %}</th>
                        <th style="text-align:center;">{% trans 'Descargar.' %}</th>
                        <th style="text-align:center;">{% trans 'Editar.' %}</th>
                        <th style="text-align:center;">{% trans 'Borrar.' %}</th>
                    </tr>
                    </thead>
                    <tbody>
                    {% for mat in results.object_list %}
                        <tr>
                            <td>{{ forloop.counter }}</TD>
                            <td><i class="icon-file"></i> {{ mat.Nombre|escape }}</td>
                            <td><i class="icon-list"></i> {{ mat.Descripcion }}</td>
                            <td><i class="icon-time"></i> {{ mat.Fecha_creacion|date:"d-M-y" }}</td>
                            <td><i class="icon-time"></i> {{ mat.Ultima_edicion|time:"P" }}</td>
                            {% if mat.Issilabo %}
                                <td style="text-align: center"><a style="color:black;" class="btn btn-mini btn-success"><i
                                        class="icon-check"></i> SI</a></td>
                            {% else %}
                                <td style="text-align: center"><a style="color:black;" class="btn btn-mini btn-warning" href="../issilabo/{{ mat.id }}/"
                                       onclick="return abrir_popup('../issilabo/{{ mat.id }}/');"><i
                                        class="icon-remove"></i> NO</a></td>
                            {% endif %}

                            <td><a class="btn btn-mini btn-info"
                                   href="{% static 'uploads/' %}{{ mat.Archivo.name }}"><span><i
                                    class="icon-download-alt icon-white"></i></span>{% trans 'Descargar' %}</a></td>
                            <td><a class="btn btn-mini btn-info" href="../editar/{{ mat.id }}/"
                                   onclick="return abrir_popup('../editar/{{ mat.id }}/');"><i
                                    class="icon-edit icon-white"></i> Editar</a></td>
                            <td><a class="btn btn-mini btn-danger" href="../delete/{{ mat.id }}/"
                                   onclick="return abrir_popup('../delete/{{ mat.id }}/');"><i
                                    class="icon-trash icon-white"></i> Borrar</a></td>

                        </tr>
                    {% endfor %}
                    </tbody>
                </table>
            {% else %}
                <p>{% trans 'No se encontraron coincidencias' %}</p>
            {% endif %}
        </div>
    </div>
{% endblock %}
